Direct transactions

When you have the required details about the consumer's identity and banking information, you can process a direct transaction.

Headers

Direct payout transactions must include the following headers:

  • Authorization: Bearer token
  • Content-Type: application/json

For more information, see Authentication.

Direct endpoint

To initiate a direct transaction, send an HTTP POST request to:

POST https://api-mint.paramountcommerce.com/oebigstard/transaction/v4/direct

There are two direct transaction scenarios:

  1. Payin with token
  2. Payout with token

NOTE

Consumer account tokens expire after 30 days of consumer inactivity. Returning consumers with an expired accountToken will need to re-authenticate via an interactive transaction.

Payin with token

NOTE

Returning consumers who have a have MFA enabled on their bank accounts cannot complete a direct payin transaction. In this scenario, the merchant response includes error E302 and the merchant must redirect the consumer to the interactive payin flow to begin a new transaction request using the same payin details.

Response

Merchants can check the transaction status before the response is updated by calling the Get transaction status API for real-time transaction status updates.

Payout with token

This transaction flow applies to consumers with a previously retrieved token, or for merchants using the Preferred verified payout option.

NOTE
Direct payouts are supported on bank accounts with MFA enabled because the account balance is not required to process a payout.

Response

Merchants can check the transaction status before the response is updated by calling the Get transaction status API for real-time transaction status updates.